#===============================================================================
#
# BQCD -- Berlin Quantum ChromoDynamics programme
#
# Author: Hinnerk Stueben <stueben@zib.de>
#
# Copyright (C) 1998-2001, Hinnerk Stueben, Zuse-Institut Berlin
#
#-------------------------------------------------------------------------------
#
# Makefile-sun.var - settings on Sun
#
#-------------------------------------------------------------------------------

SHELL     = /bin/ksh

MODULES_FLAG = -M$(MODULES_DIR)

# use GNU C-preprocessor (well hidden on our Sun):

FPP       = /sw/sun4_56/egcs-1.1.2-2/lib/gcc-lib/sparc-sun-solaris2.6/egcs-2.91.66/cpp -C -P
F90       = /opt/SUNWspro/bin/f90
CC        = gcc
AR        = ar
RANLIB    = echo

MYFLAGS   = -DTIMING -DD3_BUFFER_VOL=1
FFLAGS    = -O3 $(MODULES_FLAG)
CFLAGS    = -O3 -DNamesToLower_ -DLongLong
ARFLAGS   = rv

LDFLAGS   = 
SYSLIBS   =

FAST_MAKE = make

RANDOM_O  = ran.o ranf.o
UUU_O     = uuu_f90.o

LIBD      = libd.a
LIBCOMM   = lib_single_pe.a
LIBCLOVER = libclover.a

#===============================================================================